Bug 491295 - Cannot migrate Xen guests with virsh via xen+tcp URI
Cannot migrate Xen guests with virsh via xen+tcp URI
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks: 574322
  Show dependency treegraph
 
Reported: 2009-03-20 05:33 EDT by Nan Zhang
Modified: 2016-04-26 11:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 574322 (view as bug list)
Environment:
Last Closed: 2010-11-16 17:45:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
migrate via ssh with debug info (10.00 KB, text/plain)
2009-03-20 05:34 EDT, Nan Zhang
no flags Details
migrate via tcp with debug info (6.46 KB, text/plain)
2009-03-20 05:35 EDT, Nan Zhang
no flags Details
4 shell commands (8.26 KB, application/octet-stream)
2009-04-01 21:26 EDT, Nan Zhang
no flags Details
/etc/sysconfig/libvirtd (274 bytes, text/plain)
2009-12-21 01:45 EST, Nan Zhang
no flags Details
/etc/libvirt/libvirtd.conf (9.53 KB, text/plain)
2009-12-21 01:46 EST, Nan Zhang
no flags Details

  None (edit)
Description Nan Zhang 2009-03-20 05:33:18 EDT
Description of problem:
Cannot migrate with virsh via tcp.
please refer to attached log files with debug info: xen+tcp.log

Version-Release number of selected component (if applicable):
rhel5.3: 2.6.18-128.el5xen
libvirt-0.6.1-4.el5

How reproducible:
Always

Steps to Reproduce:
1. Set configuration file in /etc/libvirt/libvirtd.conf on destination
----------
listen_tcp = 1
auth_tcp = "none"
----------
2. # service libvirtd restart
3. # virsh migrate foo xen+tcp://10.66.70.7/default

Actual results:
error: unable to connect '10.66.70.7': Connection refused

Expected results:
the guest domain could be migrated successfully

Additional info:
KVM also failed.
I try to connect remote hypervisor before migration, it has an error as well. 
But, using ssh to connect hypervisor is normally, please refer to xen+ssh.log
------------
# virsh -c xen+tcp://10.66.70.7/default list
error: failed to connect to the hypervisor
------------
Comment 1 Nan Zhang 2009-03-20 05:34:55 EDT
Created attachment 336007 [details]
migrate via ssh with debug info
Comment 2 Nan Zhang 2009-03-20 05:35:27 EDT
Created attachment 336008 [details]
migrate via tcp with debug info
Comment 3 Daniel Berrange 2009-03-20 05:45:18 EDT
That indicates that libvirtd is not listening on the destination host, or that the firewall is blocking it.

Have you turned on the --listen flag in /etc/sysconfig/libvirtd ?

You will need to restart hte libvirtd daemon after changing this.

Also make sure your firewall is allowing libvirt requests
Comment 4 Nan Zhang 2009-03-20 06:44:55 EDT
Yes, the firewall is disabled on my side, and I turned on the --listen flag in /etc/sysconfig/libvirtd, and restart the libvirtd daemon.

I noticed that both tcp and ssh were not able to connect to hypervisor when the --listen flag was turned on.
Comment 5 Perry Myers 2009-03-30 23:21:51 EDT
Moving to RHEL since libvirt is not supported in RHEV1.0 production builds and this problem will need to be addressed in RHEL5.4 release
Comment 6 Daniel Berrange 2009-03-31 10:05:13 EDT
Please attach a file containing the output of the following 4 shell commands, run on the destination host you are trying to migrate to

ps -axuwf | grep libvirtd

iptables -L -n -v

ifconfig -a

netstat -t -a -n
Comment 7 Nan Zhang 2009-04-01 21:26:57 EDT
Created attachment 337706 [details]
4 shell commands
Comment 8 Nan Zhang 2009-04-01 21:37:22 EDT
when executing the command "ps -axuwf | grep libvirtd", has no libvirtd daemon in process. So that means libvirtd was failed to restart when i turned on the --listen flag in /etc/sysconfig/libvirtd.
Comment 9 zhanghaiyan 2009-07-03 05:25:05 EDT
Description of problem:
Restart libvirtd fails after turned on the --listen flag in /etc/sysconfig/libvirtd 


Version-Release number of selected component (if applicable):
rhel5.4: 2.6.18-155.el5
libvirt-0.6.13.el5

How reproducible:
100%

Steps to Reproduce:
1. Turn on the --listen flag in /etc/sysconfig/libvirtd
2. # service libvirtd start
Starting libvirtd daemon:                                  [  OK  ]
# service libvirtd status
libvirtd dead but subsys locked
# service libvirtd stop
Stopping libvirtd daemon:                                  [FAILED]
# service libvirtd status
libvirtd is stopped

Actual results:
Restart libvirtd fails

Expected results:
Restart libvirtd successfully
Comment 10 Daniel Berrange 2009-10-29 13:02:11 EDT
Can you confirm if this is this still a problem ?  It works as expected for me, so I will close it WORKSFORME unless its still an issue.
Comment 11 Daniel Veillard 2009-11-09 12:39:58 EST
Insisting on comment #10, can you tell us if this still an issue ?

Daniel
Comment 12 Nan Zhang 2009-11-09 21:55:53 EST
Yes, I still encountered the situation like comment #9 with libvirt-0.6.3-20.1.el5_4 on rhel 5.4, it was always displayed "libvirtd dead but subsys locked" when I restart libvirtd.
Comment 13 Daniel Berrange 2009-12-17 10:22:35 EST
Please provide the following two files from your host

 /etc/sysconfig/libvirtd
 /etc/libvirt/libvirtd.conf
Comment 14 Nan Zhang 2009-12-21 01:45:03 EST
Created attachment 379568 [details]
/etc/sysconfig/libvirtd
Comment 15 Nan Zhang 2009-12-21 01:46:00 EST
Created attachment 379569 [details]
/etc/libvirt/libvirtd.conf
Comment 16 Daniel Veillard 2010-01-14 10:19:46 EST
I don't think we can cover this for 5.5 at this point, retargetting it for 5.6

Daniel

Note You need to log in before you can comment on or make changes to this bug.